Subject: [PATCH v8 00/20] OMAP2+: UART: Runtime adaptation + cleanup

From: [email-masked] (Kevin Hilman)
Date: Tue, 13 Dec 2011 15:32:07 -0800

Govindraj <[email-masked]> writes:

[...]

> I have re-based this patch series against LO master
> commit id: deee6d5359969a0ce4e2760cfd7b9f379bd5698a
>
> Same is available here [1]
>
> I have tested this patch series along with:
>
> 1.) Tero's V11 irq chaining series
>      http://www.spinics.net/lists/linux-omap/msg61445.html
>     (This patch series is used for uart wakeup handling using
>       prcm_irq chaining)
>
> 2.) Rajendra's hwmod change
>      http://www.spinics.net/lists/arm-kernel/msg148632.html
>      (This patch handles init_no_idle flag setting
>       without this patch there will be boot warning however
>       all pm features will work after boot up.)

Actually, without Rajendra's patch all features do not work.  I don't
get UART console wakeups from idle (with runtime PM autosuspend enabled)
on 3430/n900 or 3530/Overo without Rajendra's patch.

Kevin